Bug 34786 - [Gtk] Make WebKit build on s390(x)
Summary: [Gtk] Make WebKit build on s390(x)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2010-02-10 00:16 PST by Martin Stransky
Modified: 2010-11-11 14:03 PST (History)
8 users (show)

See Also:


Attachments
s390(x) build patch (1.32 KB, patch)
2010-02-10 00:16 PST, Martin Stransky
no flags Details | Formatted Diff | Diff
add support for s390(x) (1.33 KB, patch)
2010-11-11 04:00 PST, Dan Horák
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Stransky 2010-02-10 00:16:33 PST
Created attachment 48469 [details]
s390(x) build patch

Hi,

there is a patch attached we use to build webkit on s390(x) boxes.
Comment 1 Martin Stransky 2010-02-10 00:18:58 PST
For clarification:

__s390x__ is 64bit
__s390__  is 32bit

and both are BIG_ENDIAN platform.
Comment 2 Julien Chaffraix 2010-03-16 22:55:35 PDT
Thanks for the patch. Though you should follow http://webkit.org/coding/contributing.html if you want your patch to be integrated.
First make sure that you have a ChangeLog that explains the endian-ness issue. Also make sure you set the review flag to '?' or no reviewer will have a look at it.
Comment 3 Martin Robinson 2010-10-12 16:56:35 PDT
Martin, would you be willing to provide an updated patch for this issue against the SVN repository?
Comment 4 Dan Horák 2010-11-11 04:00:54 PST
Created attachment 73597 [details]
add support for s390(x)

rebased to recent SVN trunk
Comment 5 Andreas Kling 2010-11-11 04:23:04 PST
Comment on attachment 73597 [details]
add support for s390(x)

LGTM.
Comment 6 WebKit Commit Bot 2010-11-11 11:52:32 PST
The commit-queue encountered the following flaky tests while processing attachment 73597 [details]:

fast/css/font-face-download-error.html
http/tests/appcache/foreign-fallback.html

Please file bugs against the tests.  These tests were authored by ap@webkit.org and yuzo@google.com.  The commit-queue is continuing to process your patch.
Comment 7 WebKit Commit Bot 2010-11-11 12:55:58 PST
The commit-queue encountered the following flaky tests while processing attachment 73597 [details]:

scrollbars/scrollbar-iframe-click-does-not-blur-content.html

Please file bugs against the tests.  These tests were authored by tonikitoo@webkit.org.  The commit-queue is continuing to process your patch.
Comment 8 WebKit Commit Bot 2010-11-11 12:58:16 PST
Comment on attachment 73597 [details]
add support for s390(x)

Clearing flags on attachment: 73597

Committed r71844: <http://trac.webkit.org/changeset/71844>
Comment 9 WebKit Commit Bot 2010-11-11 12:58:21 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 WebKit Review Bot 2010-11-11 14:03:03 PST
http://trac.webkit.org/changeset/71844 might have broken Leopard Intel Release (Tests)
The following tests are not passing:
fast/workers/storage/interrupt-database-sync.html